xine-lib: xine-lib-1.2.13/src/demuxers/flacutils.h File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Enumerations | Functions
flacutils.h File Reference

Go to the source code of this file.

## Data Structures
struct | flac_seekpoint_t
struct | xine_flac_metadata_header
struct | xine_flac_streaminfo_block

## Macros
#define | FLAC_SIGNATURE_SIZE 4
#define | FLAC_STREAMINFO_SIZE 34
#define | FLAC_SEEKPOINT_SIZE 18

## Enumerations
enum | { FLAC_BLOCKTYPE_STREAMINFO , FLAC_BLOCKTYPE_PADDING , FLAC_BLOCKTYPE_APPLICATION , FLAC_BLOCKTYPE_SEEKTABLE , FLAC_BLOCKTYPE_VORBIS_COMMENT , FLAC_BLOCKTYPE_CUESHEET , FLAC_BLOCKTYPE_INVALID = 127 }

## Functions
static void | _x_parse_flac_metadata_header (uint8_t *buffer, xine_flac_metadata_header *parsed)
static void | _x_parse_flac_streaminfo_block (uint8_t *buffer, xine_flac_streaminfo_block *parsed)

## Macro Definition Documentation

## ◆ FLAC_SEEKPOINT_SIZE

#define FLAC_SEEKPOINT_SIZE 18

Referenced by open_flac_file().

## ◆ FLAC_SIGNATURE_SIZE

#define FLAC_SIGNATURE_SIZE 4

Referenced by open_flac_file().

## ◆ FLAC_STREAMINFO_SIZE

#define FLAC_STREAMINFO_SIZE 34

Referenced by decode_flac_header(), demux_flac_send_headers(), and open_flac_file().

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
FLAC_BLOCKTYPE_STREAMINFO |
FLAC_BLOCKTYPE_PADDING |
FLAC_BLOCKTYPE_APPLICATION |
FLAC_BLOCKTYPE_SEEKTABLE |
FLAC_BLOCKTYPE_VORBIS_COMMENT |
FLAC_BLOCKTYPE_CUESHEET |
FLAC_BLOCKTYPE_INVALID |

## Function Documentation

## ◆ _x_parse_flac_metadata_header()

static void _x_parse_flac_metadata_header | ( | uint8_t * | buffer,
|  | xine_flac_metadata_header * | parsed )
| inlinestatic

References _X_BE_24, xine_flac_metadata_header::blocktype, xine_flac_metadata_header::last, and xine_flac_metadata_header::length.

Referenced by decode_flac_header().

## ◆ _x_parse_flac_streaminfo_block()

static void _x_parse_flac_streaminfo_block | ( | uint8_t * | buffer,
|  | xine_flac_streaminfo_block * | parsed )
| inlinestatic

References _X_BE_16, _X_BE_24, _X_BE_32, _X_BE_64, xine_flac_streaminfo_block::bits_per_sample, xine_flac_streaminfo_block::blocksize_max, xine_flac_streaminfo_block::blocksize_min, xine_flac_streaminfo_block::channels, xine_flac_streaminfo_block::framesize_max, xine_flac_streaminfo_block::framesize_min, xine_flac_streaminfo_block::samplerate, and xine_flac_streaminfo_block::total_samples.

Referenced by decode_flac_header().